const Parse = getApp().Parse;
const app = getApp();
const company = getApp().globalData.company
const dateF = require('../../../../../../utils/date')
Page({

    /**
     * 页面的初始数据
     */
    data: {
        active: 0,
        list: [],
        price: null,
        storeId:null
    },
    onChange(event) {
        let active = event.detail.name
        this.setData({
            active: active
        })
        console.log(active);
        this.getShopOrder()
    },
    storepackage(e) {
        let price = e.currentTarget.dataset.item.price
        console.log(price);
        this.setData({
            show: true,
            price: price
        })
    },
    async acceptResult(e) {
        let {
            order,
        } = this.data
        let that = this
        let {
            params,
            no
        } = e.detail;
        that.setData({
            show: false
        })
        try {
            if (params == "ok") {
                order.set("isPay", true)
                await order.save()
                this.setData({
                    isPay: true
                })
                wx.showToast({
                    title: '报名成功',
                    icon: 'none',
                    image: '',
                    duration: 1500,
                    mask: false,
                });
            } else {
                wx.showToast({
                    title: '支付失败，取消订单',
                    icon: 'none',
                    image: '',
                    duration: 1500,
                    mask: false,
                });
            }
        } catch (error) {
            console.log(error)
            wx.showToast({
                title: "支付失败",
                icon: "error",
                duration: 1500,
            });
            wx.hideLoading()
        }
    },

    //删除

    evaluation(e) {
        let id = e.currentTarget.dataset.item.objectId
        console.log(id);
        wx.navigateTo({
            url: '/nova-tourism/pages/my/homestay-order/evaluation/index?id=' + id
        });

    },
    orderpay(e) {
        let id = e.currentTarget.dataset.item.objectId
        console.log(id);
        wx.navigateTo({
            url: '/nova-tourism/pages/my/homestay-order/homestay-details/index?id=' + id
        });

    },
    phone(e) {
        let phone = e.currentTarget.dataset.item.shopStore.mobile

        console.log(phone);
        wx.makePhoneCall({
            phoneNumber: phone
        })
    },
    async getShopOrder() {

        let ShopOrder = new Parse.Query('RoomOrder')
        ShopOrder.equalTo('company', company)
        ShopOrder.include('room')
        ShopOrder.equalTo('shopStore', this.data.storeId)
        if (this.data.active == 1) {
            ShopOrder.equalTo('status', 100)
        }
        if (this.data.active == 2) {
            ShopOrder.equalTo('status', 200)
        }
        if (this.data.active == 3) {
            console.log(this.data.active)
            ShopOrder.equalTo('status', 400)
        }

        ShopOrder.include('room')
        ShopOrder.exists('status')
        ShopOrder.find().then(res => {
            let list = []
            res.forEach(item => {
                let activitys = item.toJSON()
                activitys.orderTime = dateF.formatTime("mm-dd", activitys.startTime.iso)
                activitys.Time = dateF.formatTime("mm-dd", activitys.endTime.iso)
                activitys.a = dateF.formatTime("YYYY-mm-dd HH:MM:SS", activitys.startTime.iso)
                activitys.e = dateF.formatTime("YYYY-mm-dd HH:MM:SS", activitys.endTime.iso)
                    //计算天数
                activitys.day = parseInt((new Date(activitys.e.replace(/-/g, '/')).getTime() - new Date(activitys.a.replace(/-/g, '/')).getTime()) / (1000 * 60 * 60 * 24));
                list.push(activitys)
            })


            this.setData({
                    list
                }),
                console.log(this.data.list)
        })
    },

    orderdeils(e) {
        let id = e.currentTarget.dataset.item.objectId
        console.log(id);
        wx.navigateTo({
            url: '/nova-tourism/pages/my/merchant/merchant-home/order2-list/order-deils/index?id=' + id,
        });
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function(options) {
        let storeId = options.storeId;
        console.log(storeId);
        this.setData({ storeId: storeId })
        this.getShopOrder()

        // this.getDayAll()
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function() {

    }
})